package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.MarkSubjectiveScore;
import com.qmth.teachcloud.mark.mapper.MarkSubjectiveScoreMapper;
import com.qmth.teachcloud.mark.service.MarkSubjectiveScoreService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 主观题得分明细表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class MarkSubjectiveScoreServiceImpl extends ServiceImpl<MarkSubjectiveScoreMapper, MarkSubjectiveScore> implements MarkSubjectiveScoreService {

    @Override
    public List<MarkSubjectiveScore> listByStudentIdAndGroupNumber(Long studentId, Integer groupNumber) {
        QueryWrapper<MarkSubjectiveScore> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MarkSubjectiveScore::getStudentId, studentId);
        if (groupNumber != null) {
            queryWrapper.lambda().eq(MarkSubjectiveScore::getGroupNumber, groupNumber);
        }

        return this.list(queryWrapper);
    }
}
